Summary: A collection of SNMP protocol tools from UC-Davis.
Name: ucd-snmp
Version: 4.1.1
Release: 4mdk
Copyright: BSDish
Group: System/Servers
Source0: ftp://ucd-snmp.ucdavis.edu/ucd-snmp-%{version}.tar.bz2
Source1: ucd-snmpd.init
Source2: snmpd.conf
Patch0: ucd-snmp-man.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prereq: /sbin/chkconfig
Obsoletes: cmu-snmp
Requires: perl-PDL
 
%description
SNMP (Simple Network Management Protocol) is a protocol used for network
management (hence the name).  The UCD-SNMP project includes various SNMP
tools; an extensible agent, an SNMP library, tools for requesting or
setting information from SNMP agents, tools for generating and handling
SNMP traps, a version of the netstat command which uses SNMP, and a
Tk/Perl mib browser.  This package contains the snmpd and snmptrapd
daemons, documentation, etc.

Install the ucd-snmp package if you need network management tools.
You will probably also want to install the ucd-snmp-utils package, which
contains UCD-SNMP utilities.

%package utils
Group: Networking/Other
Summary: Network management utilities using SNMP, from the UCD-SNMP project.
Requires: ucd-snmp
Obsoletes: cmu-snmp-utils

%description utils
The ucd-snmp package contains various utilities for use with the
UCD-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol.  You'll also need to install the ucd-snmp
package.

%package devel
Group: Development/C
Summary: The development environment for the UCD-SNMP project.
Requires: ucd-snmp
Obsoletes: cmu-snmp-devel

%description devel
The ucd-snmp-devel package contains the development libraries and
header files for use with the UCD-SNMP project's network management
tools.

Install the ucd-snmp-devel package if you would like to develop
applications for use with the UCD-SNMP project's network management
tools. You'll also need to have the ucd-snmp and ucd-snmp-utils packages
installed.

%prep
%setup -q

find . -type f | xargs perl -pi -e "s|/usr/local/bin/perl5|/usr/bin/perl|g"
find . -type f | xargs perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|g"

%patch -p 1


%build

# First build the static library
uname -a|grep SMP && SMP="-j 2" || SMP=""

./configure				\
	--with-cc=gcc --with-cflags="$RPM_OPT_FLAGS"\
	--with-ldflags="-s" 	 			\
	--with-sys-location="Unknown"			\
	--with-logfile="/var/log/snmpd.log"		\
	--with-persistent-directory="/var/ucd-snmp"     \
	--with-mib-modules="host"			\
	--with-libwrap					\
	--prefix=/usr					\
	--sysconfdir=/etc				\
	--disable-debugging				\
	--with-sys-contact="root@localhost"		\
	--with-logfile="/var/log"			

make $SMP -C snmplib libsnmp.a 
mv snmplib/libsnmp.a .
make -C snmplib clean

make $SMP -C agent libucdmibs.a
make $SMP -C agent libucdagent.a
mv agent/libucdmibs.a .
mv agent/libucdagent.a .
make -C agent clean

# Now configure everything to build with a shared library
./configure --enable-shared		\
	--with-cc=gcc --with-cflags="$RPM_OPT_FLAGS"\
	--with-ldflags="-s" 	 			\
	--with-sys-location="Unknown"			\
	--with-logfile="/var/log/snmpd.log"		\
	--with-persistent-directory="/var/ucd-snmp"     \
	--with-mib-modules="host"			\
    --with-libwrap					\
	--prefix=/usr					\
	--sysconfdir=/etc				\
	--disable-debugging				\
	--with-sys-contact="root@localhost"		\
	--with-logfile="/var/log"


# XXX Grrr -- build shared library with soname versioning
make $SMP -C snmplib				\
	SHLIB_EXTENSION=so.0.%{version}	\
	SHLIB_CFLAGS="-fpic"		\
	SHLIB_LD_CMD="gcc -shared -Wl,-soname -Wl,libsnmp.so.0 -o"	\
	RANLIB=/bin/echo		\
	libsnmp.so.0.%{version}
ln -sf libsnmp.so.0.%{version} snmplib/libsnmp.so.0
ln -sf libsnmp.so.0 snmplib/libsnmp.so

make $SMP -C agent				\
	SHLIB_EXTENSION=so.0.%{version}	\
	SHLIB_CFLAGS="-fpic"		\
	SHLIB_LD_CMD="gcc -shared -Wl,-soname -Wl,libucdmibs.so.0 -o"	\
	RANLIB=/bin/echo		\
	libucdmibs.so.0.%{version}
ln -sf libucdmibs.so.0.%{version} agent/libucdmibs.so.0
ln -sf libucdmibs.so.0 agent/libucdmibs.so

make $SMP -C agent				\
	SHLIB_EXTENSION=so.0.%{version}	\
	SHLIB_CFLAGS="-fpic"		\
	SHLIB_LD_CMD="gcc -shared -Wl,-soname -Wl,libucdagent.so.0 -o"	\
	RANLIB=/bin/echo		\
	libucdagent.so.0.%{version}
ln -sf libucdagent.so.0.%{version} agent/libucdagent.so.0
ln -sf libucdagent.so.0 agent/libucdagent.so

# XXX Finally ...
make $SMP LDFLAGS="-Wl,/usr/lib" all 

%install
rm -rf $RPM_BUILD_ROOT

make	prefix=$RPM_BUILD_ROOT/usr	\
	exec_prefix=$RPM_BUILD_ROOT/usr \
	persistentdir=$RPM_BUILD_ROOT/var/ucd-snmp \
	PERSISTENT_DIRECTORY=$RPM_BUILD_ROOT/var/ucd-snmp \
	install 

# XXX Install hand-crafted libraries
install -m 0644 libsnmp.a $RPM_BUILD_ROOT/usr/lib
install -m 0644 libucdagent.a $RPM_BUILD_ROOT/usr/lib
install -m 0644 libucdmibs.a $RPM_BUILD_ROOT/usr/lib

install -m 0755 snmplib/libsnmp.so.0.%{version} $RPM_BUILD_ROOT/usr/lib
install -m 0755 agent/libucdagent.so.0.%{version} $RPM_BUILD_ROOT/usr/lib
install -m 0755 agent/libucdmibs.so.0.%{version} $RPM_BUILD_ROOT/usr/lib

# XXX just in case
{ pushd $RPM_BUILD_ROOT/usr/lib
  rm -f libsnmp.so.0
  ln -s libsnmp.so.0.%{version} libsnmp.so.0
  rm -f libsnmp.so
  ln -s libsnmp.so.0 libsnmp.so

  rm -f libucdagent.so.0
  ln -s libucdagent.so.0.%{version} libucdagent.so.0
  rm -f libucdagent.so
  ln -s libucdagent.so.0 libucdagent.so

  rm -f libucdmibs.so.0
  ln -s libucdmibs.so.0.%{version} libucdmibs.so.0
  rm -f libucdmibs.so
  ln -s libucdmibs.so.0 libucdmibs.so

  popd
}

install -d $RPM_BUILD_ROOT/etc/snmp
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/snmp/snmpd.conf

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd

%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd 
#if [ ! -f /etc/snmpd.agentinfo ]; then
#  touch /etc/snmpd.agentinfo
#fi

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del snmpd
fi

%postun
/sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc	AGENT.txt COPYING ChangeLog EXAMPLE.conf FAQ NEWS PORTING README* TODO bug-report local
%dir	/etc/snmp
%config /etc/snmp/snmpd.conf
#%config(missingok) /etc/snmp/snmpd.local.conf
%config /etc/rc.d/init.d/snmpd
%dir	/usr/share/snmp
%dir	/usr/share/snmp/mibs
%attr(0644,root,root)	/usr/share/snmp/mibs/*
/usr/lib/libsnmp.so.0.%{version}
/usr/lib/libucdagent.so.0.%{version}
/usr/lib/libucdmibs.so.0.%{version}
/usr/sbin/snmpd
/usr/sbin/snmptrapd

%attr(0644,root,root)	/usr/man/man1/snmpd.1*
%attr(0644,root,root)	/usr/man/man5/snmp.conf.5*
%attr(0644,root,root)	/usr/man/man5/snmp_config.5*
%attr(0644,root,root)	/usr/man/man5/snmpd.conf.5*
%attr(0644,root,root)	/usr/man/man5/snmptrapd.conf.5*
%attr(0644,root,root)	/usr/man/man5/variables.5*
%attr(0644,root,root)	/usr/man/man8/snmptrapd.8*



%files utils
%defattr(-,root,root,-)
/usr/bin/encode_keychange
/usr/bin/snmpbulkget
/usr/bin/snmpbulkwalk
/usr/bin/snmpdelta
/usr/bin/snmpget
/usr/bin/snmpgetnext
/usr/bin/snmpnetstat
/usr/bin/snmpset
/usr/bin/snmpstatus
/usr/bin/snmptable
/usr/bin/snmptest
/usr/bin/snmptranslate
/usr/bin/snmptrap
/usr/bin/snmpusm
/usr/bin/snmpwalk
#/usr/bin/tkmib

%attr(0644,root,root)	/usr/man/man1/snmpbulkwalk.1*
%attr(0644,root,root)	/usr/man/man1/snmpbulkget.1*
%attr(0644,root,root)	/usr/man/man1/snmpcmd.1*
%attr(0644,root,root)	/usr/man/man1/snmpdelta.1*
%attr(0644,root,root)	/usr/man/man1/snmpget.1*
%attr(0644,root,root)	/usr/man/man1/snmpgetnext.1*
%attr(0644,root,root)	/usr/man/man1/snmpnetstat.1*
%attr(0644,root,root)	/usr/man/man1/snmpset.1*
%attr(0644,root,root)	/usr/man/man1/snmpstatus.1*
%attr(0644,root,root)	/usr/man/man1/snmptable.1*
%attr(0644,root,root)	/usr/man/man1/snmptest.1*
%attr(0644,root,root)	/usr/man/man1/snmptranslate.1*
%attr(0644,root,root)	/usr/man/man1/snmptrap.1*
%attr(0644,root,root)	/usr/man/man1/snmpusm.1*
%attr(0644,root,root)	/usr/man/man1/snmpwalk.1*

%files devel
%defattr(0644,root,root,755)
/usr/lib/libsnmp.so
/usr/lib/libsnmp.a
/usr/lib/libucdagent.so
/usr/lib/libucdagent.a
/usr/lib/libucdmibs.so
/usr/lib/libucdmibs.a

/usr/include/ucd-snmp
%attr(0644,root,root)	/usr/man/man3/*


%changelog
* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-4mdk
- Correct ldconfig in postun

* Sat Mar 25 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-3mdk
- many change in config snmpd file

* Thu Mar 23 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-2mdk
- Remove tkmib
- Patch for broken link in man page

* Thu Mar 21 2000 Vincent Saugey <vince@mandrakesoft.com> 4.1.1-1mdk
- Update to 4.1.1
- Modification in spec file
- corrected group

* Mon Jan 24 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed spec file (%install tried to mkdir /var/ucd-snmp)

* Tue Nov 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- --with-libwrap, not --with-libwrap="-lwrap -lnsl" (rh on crack)
- bump spec to 3mdk to get above Chmouel

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- 4.0.1 + redhat patches

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.6.2

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
